SystemOrganization addCategory: 'ConfigurationOfOrbeonBpm'!

ConfigurationOf subclass: #ConfigurationOfOrbeonBpm
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeonBpm'!

!ConfigurationOfOrbeonBpm methodsFor: 'other' stamp: 'BrunoBB 02/08/2016 11:39'!
baseline0112: spec
	<version: '0.112-baseline'>
 
	spec for: #common do: [
        spec blessing: #baseline.
		spec repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBPM'.

		spec project: 'AbstractApplication' with: [
			spec className: 'ConfigurationOfAbstractApplicationObjects';
				loads: #('default');
				versionString: '#stable';
				repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'].

		spec project: 'OrbeonLDAP' with: [
			spec className: 'ConfigurationOfOrbeonLDAP';
				versionString: #stable;
				loads: #('default');
				file: 'ConfigurationOfOrbeonLDAP';
				repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'].

		spec project: 'Orbeon' with: [
			spec className: 'ConfigurationOfOrbeon';
				versionString: '#stable';
				loads: #('default');
				file: 'ConfigurationOfOrbeon';
				repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'].

		spec package: 'OrbeonBPMCore' with: [spec requires: 'Orbeon'].
		spec package: 'OrbeonBPMRuntime' with: [spec requires: #('AbstractApplication' 'OrbeonLDAP' 'Orbeon' 'OrbeonBPMCore')].
	].! !

!ConfigurationOfOrbeonBpm methodsFor: 'other' stamp: 'BrunoBB 02/25/2016 10:17'!
baseline0134: spec
	<version: '0.134-baseline'>
 
	spec for: #common do: [
        spec blessing: #baseline.
		spec repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBPM'.

		spec project: 'AbstractApplication' with: [
			spec className: 'ConfigurationOfAbstractApplicationObjects';
				loads: #('default');
				versionString: '#stable';
				repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'].

		spec project: 'OrbeonLDAP' with: [
			spec className: 'ConfigurationOfOrbeonLDAP';
				versionString: #stable;
				loads: #('default');
				file: 'ConfigurationOfOrbeonLDAP';
				repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'].

		spec package: 'OrbeonBPMCore' with: [spec requires: #('AbstractApplication' 'OrbeonLDAP')].
		spec package: 'OrbeonBPMRuntime' with: [spec requires: #('OrbeonBPMCore')].
	].! !

!ConfigurationOfOrbeonBpm methodsFor: 'other' stamp: 'BrunoBB 03/20/2016 16:30'!
bleedingEdge: spec
	<symbolicVersion: #'bleedingEdge'>

	spec for: #'common' version: '0.134-baseline'.! !

!ConfigurationOfOrbeonBpm methodsFor: 'other' stamp: 'BrunoBB 05/08/2016 14:36'!
release: spec
	<symbolicVersion: #'release'>

	spec for: #common version: '0.170'.! !

!ConfigurationOfOrbeonBpm methodsFor: 'other' stamp: 'BrunoBB 05/08/2016 14:36'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #common version: '0.170'.! !

!ConfigurationOfOrbeonBpm methodsFor: 'other' stamp: 'BrunoBB 06/10/2016 10:33'!
version0170: spec
	<version: '0.170' imports: #('0.134-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'BrunoBB'.
		spec project: 'AbstractApplication' with: #'stable'.
		spec project: 'OrbeonLDAP' with: #'stable'.
		"spec project: 'Orbeon' with: #'stable'."

		spec package: 'OrbeonBPMCore' with: 'OrbeonBPMCore-BrunoBB.153'.
		spec package: 'OrbeonBPMRuntime' with: 'OrbeonBPMRuntime-BrunoBB.177'.

	]! !

!ConfigurationOfOrbeonBpm methodsFor: 'other' stamp: 'BrunoBB 01/29/2016 05:12'!
versionNumberClass
     ^MetacelloVersionNumber! !

BaselineOf subclass: #BaselineOfOrbeonBizagiReader
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeonBpm'!

!BaselineOfOrbeonBizagiReader methodsFor: 'other' stamp: 'BrunoBB 09/20/2015 18:05'!
baseline: spec
  <baseline>

   spec
     for: #'common' do: [
       spec repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'.
       spec
         project: 'Orbeon'
         with: [ spec
					 className: 'ConfigurationOfOrbeon';
					 versionString: #stable;
					 loads: #('ALL');
					 file: 'ConfigurationOfOrbeon';
					 repository: 'http://ss3.gemstone.com/ss/OrbeonBridge' ].
       spec
         project: 'OrbeonFormProcess'
         with: [ spec
					 className: 'ConfigurationOfOrbeonFormProcess';
					 versionString: #stable;
					 loads: #('ALL');
					 file: 'ConfigurationOfOrbeonFormProcess';
					 repository: 'http://ss3.gemstone.com/ss/OrbeonBridge' ].

       spec package: 'OrbeonBizagiReader-BrunoBB' with: [ spec requires: #('Orbeon' 'OrbeonFormProcess') ] ]! !
